DdemlUtil.ExecuteHandler (JNA API)

com.sun.jna.platform.win32

## Interface DdemlUtil.ExecuteHandler

- Enclosing class:
    DdemlUtil

      public static interface DdemlUtil.ExecuteHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onExecute(int transactionType, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HDDEDATA commandString)` A client uses the XTYP_EXECUTE transaction to send a command string to the server.

- - ### Method Detail

    - #### onExecute

          int onExecute(int transactionType,
                        Ddeml.HCONV hconv,
                        Ddeml.HSZ topic,
                        Ddeml.HDDEDATA commandString)

      A client uses the XTYP_EXECUTE transaction to send a command string to the server. A Dynamic Data Exchange (DDE) server callback function, DdeCallback, receives this transaction when a client specifies XTYP_EXECUTE in the DdeClientTransaction function.

      Remarks

      This transaction is filtered if the server application specified the CBF_FAIL_EXECUTES flag in the DdeInitialize function.

      Because most client applications expect a server application to perform an XTYP_EXECUTE transaction synchronously, a server should attempt to perform all processing of the XTYP_EXECUTE transaction either from within the DDE callback function or by returning the CBR_BLOCK return code. If the hdata parameter is a command that instructs the server to terminate, the server should do so after processing the XTYP_EXECUTE transaction.

      Parameters:
        `transactionType` - uType - The transaction type.
        `hconv` - A handle to the conversation.
        `topic` - hsz1 - A handle to the topic name.
        `commandString` - A handle to the command string.
      Returns:
        A server callback function should return DDE_FACK if it processes this transaction, DDE_FBUSY if it is too busy to process this transaction, or DDE_FNOTPROCESSED if it rejects this transaction.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.